Entitlement Insight - Get Tenant Resource Consumption By User

Get resource consumption by entitlement and user ID.

GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/users/{userId}/resources?fromDate={fromDate}&toDate={toDate}&api-version=2024-10-01
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/users/{userId}/resources?fromDate={fromDate}&toDate={toDate}&pageSize={pageSize}&searchRequest={searchRequest}&continuationToken={continuationToken}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
entitlementId
path True

string

The entitlement ID.

userId
path True

string

The user ID.

api-version
query True

string

The API version.

fromDate
query True

string

The start date (inclusive) of the query range.

toDate
query True

string

The end date (inclusive) of the query range.

continuationToken
query

string

Continuation token for pagination.

pageSize
query

integer (int32)

The page size for pagination.

searchRequest
query

string

Search request for filtering.

Responses

Name Type Description
200 OK

TenantResourceResponseModelPagedResponse

Success

204 No Content

No Content

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
TenantCapacityConsumptionSnapshotResponseModel
TenantResourceResponseModel
TenantResourceResponseModelPagedResponse

A paged response with a continuation token.

TenantCapacityConsumptionSnapshotResponseModel

Name Type Description
asOfDate

string (date-time)

consumed

number (double)

environmentId

string

metadata

object

resourceId

string

tenantId

string

unit

string

TenantResourceResponseModel

Name Type Description
resources

TenantCapacityConsumptionSnapshotResponseModel[]

The list of resources associated with the tenant.

TenantResourceResponseModelPagedResponse

A paged response with a continuation token.

Name Type Description
@odata.count

integer (int32)

@odata.nextLink

string

continuationtoken

string

value

TenantResourceResponseModel[]